Show / Hide Table of Contents

# Struct GameMain

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct GameMain

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static GameMain*Instance()

##### Returns

Type | Description
--- | ---
GameMain* |

| Improve this Doc View Source

#### IsInInstanceArea()

##### Declaration

    public bool IsInInstanceArea()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsInPvPArea()

##### Declaration

    public static bool IsInPvPArea()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsInPvPInstance()

##### Declaration

    public static bool IsInPvPInstance()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsInSanctuary()

##### Declaration

    public static bool IsInSanctuary()

##### Returns

Type | Description
--- | ---
System.Boolean |